## BudgiePopoverManager BudgiePopoverManager |

## Functions

BudgiePopoverManager * | budgie_popover_manager_new ()
void | budgie_popover_manager_register_popover ()
void | budgie_popover_manager_unregister_popover ()
void | budgie_popover_manager_show_popover ()

## Object Hierarchy

        GObject
        ╰── BudgiePopoverManager

## Description

## Functions

### budgie_popover_manager_new ()

    BudgiePopoverManager *
    budgie_popover_manager_new (void);

Construct a new BudgiePopoverManager object

#### Returns

A pointer to a new BudgiePopoverManager object.

### budgie_popover_manager_register_popover ()

    void
    budgie_popover_manager_register_popover
                                   (BudgiePopoverManager *manager,
                                    GtkWidget *parent_widget,
                                    BudgiePopover *popover);

Register a new popover with it's relative-to widget within the popover management system. This will allow the popover to be activated when it's parent widget has been activated by a mouse roll over, when another widget is visible.

This allows the panel to provide a "menubar" like functionality for interaction with multiple popovers in a natural fashion.

#### Parameters

parent_widget | The widget that "owns" the popover (relative-to) |
popover | The popover that will be shown when the `parent_widget` is activated |

### budgie_popover_manager_unregister_popover ()

    void
    budgie_popover_manager_unregister_popover
                                   (BudgiePopoverManager *manager,
                                    GtkWidget *parent_widget);

Unregister a popover so that it is no longer managed by this implementation, and is free to manage itself.

#### Parameters

parent_widget | The associated widget (key) for the registered popover |

### budgie_popover_manager_show_popover ()

    void
    budgie_popover_manager_show_popover (BudgiePopoverManager *manager,
                                         GtkWidget *parent_widget);

Show a BudgiePopover on screen belonging to the specified `parent_widget`

#### Parameters

parent_widget | The widget owning the popover to be shown |

## Types and Values